> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Device

> To be called when the device is logged out or uninstalled. This endpoint allows clients to remove a registered device by specifying its device ID in the header. Upon successful deletion, the device will no longer receive notifications. The `device-id` parameter in the header is required.




## OpenAPI

````yaml delete /notification/delete-device
openapi: 3.1.0
info:
  title: Notification Connect
  description: |-
    | **Pipeline** | **Release Date** |
    | --- | --- |
    | Registration API | 12th Aug, 2024 |
  version: 1.0.0
servers:
  - url: https://api.eka.care
  - url: https://api.dev.eka.care
security:
  - bearerAuth: []
paths:
  /notification/delete-device:
    delete:
      tags:
        - Notifications
      summary: Delete Device
      description: >
        To be called when the device is logged out or uninstalled. This endpoint
        allows clients to remove a registered device by specifying its device ID
        in the header. Upon successful deletion, the device will no longer
        receive notifications. The `device-id` parameter in the header is
        required.
      parameters:
        - name: device-id
          in: header
          required: true
          description: The device ID of the device to be deleted.
          schema:
            type: string
          example: aa8650d03
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              example:
                success: true
        '400':
          description: Client error response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Unauthorized access.
                error_code: 401
        '500':
          description: Server error response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Internal server error.
                error_code: 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        The API requires a Bearer token in the Authorization header for
        authentication.

````